X2Go Bug report logs - #563
packages broken

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: A <publicface@bak.rr.com>

Date: Wed, 6 Aug 2014 16:35:01 UTC

Severity: normal

Tags: moreinfo

Merged with 714

Found in version 4.0.1.18

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#563; Package x2goserver. (Wed, 06 Aug 2014 16:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to A <publicface@bak.rr.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message had a Version: pseudo-header with an invalid package version:

Since the wiki doesn't say, and I'm unable to install it - I

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 06 Aug 2014 16:35:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: A <publicface@bak.rr.com>
To: submit@bugs.x2go.org
Subject: packages broken
Date: Wed, 06 Aug 2014 09:26:24 -0700
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: Since the wiki doesn't say, and I'm unable to install it - I 
don't know what version but I presume the latest?


CentOS 5

Transaction Check Error:
/usr/share/man/man3/Sys::Syslog.3pm.gz from install of 
perl-Sys-Syslog-0.27-1.el5.rf.i386 conflicts with file from package 
perl-5.8.8-41.el5.i386

Conversation in IRC:

[08:42] <geppetto> it's a packaging problem … yum can't see file conflicts
[08:42] <geppetto> the fedora policy is that if you have a file conflict 
you have to promote it to a real conflict
[08:42] <geppetto> but that's not QA'd :(

[08:43] <geppetto> don't use the .rf. repo? … use a newer perl from the 
.rf repo?

[08:43] <geppetto> Maybe install an older version of perl-SysSylog from 
the .rf repo. … if that doesn't have file conflicts


[08:48] <geppetto> Those packages are conflicting with the ones from 
your distro. … but using file conflicts

[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#563; Package x2goserver. (Wed, 06 Aug 2014 16:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 06 Aug 2014 16:45:01 GMT) (full text, mbox, link).


Message #10 received at 563@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: A <publicface@bak.rr.com>, 563@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#563: packages broken
Date: Wed, 06 Aug 2014 16:41:08 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo

Hi "A",

On  Mi 06 Aug 2014 18:26:24 CEST, A wrote:

> Package: x2goserver
> Version: Since the wiki doesn't say, and I'm unable to install it -  
> I don't know what version but I presume the latest?
>
>
> CentOS 5
>
> Transaction Check Error:
> /usr/share/man/man3/Sys::Syslog.3pm.gz from install of  
> perl-Sys-Syslog-0.27-1.el5.rf.i386 conflicts with file from package  
> perl-5.8.8-41.el5.i386
>
> Conversation in IRC:
>
> [08:42] <geppetto> it's a packaging problem … yum can't see file conflicts
> [08:42] <geppetto> the fedora policy is that if you have a file  
> conflict you have to promote it to a real conflict
> [08:42] <geppetto> but that's not QA'd :(
>
> [08:43] <geppetto> don't use the .rf. repo? … use a newer perl from  
> the .rf repo?
>
> [08:43] <geppetto> Maybe install an older version of perl-SysSylog  
> from the .rf repo. … if that doesn't have file conflicts
>
>
> [08:48] <geppetto> Those packages are conflicting with the ones from  
> your distro. … but using file conflicts

Sorry, I cannot read your mind here...

Where are you trying to install X2Go from??? What are the steps you  
are making.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 563-submit@bugs.x2go.org. (Wed, 06 Aug 2014 16:45:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#563; Package x2goserver. (Wed, 06 Aug 2014 18:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to A <publicface@bak.rr.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 06 Aug 2014 18:10:02 GMT) (full text, mbox, link).


Message #17 received at 563@bugs.x2go.org (full text, mbox, reply):

From: A <publicface@bak.rr.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 563@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#563: packages broken
Date: Wed, 06 Aug 2014 11:02:51 -0700
On 08/06/2014 09:41 AM, Mike Gabriel wrote:
> Control: tag -1 moreinfo
>
> Hi "A",
>
> On  Mi 06 Aug 2014 18:26:24 CEST, A wrote:
>
>> Package: x2goserver
>> Version: Since the wiki doesn't say, and I'm unable to install it - I 
>> don't know what version but I presume the latest?
>>
>>
>> CentOS 5
>>
>> Transaction Check Error:
>> /usr/share/man/man3/Sys::Syslog.3pm.gz from install of 
>> perl-Sys-Syslog-0.27-1.el5.rf.i386 conflicts with file from package 
>> perl-5.8.8-41.el5.i386
>>
>> Conversation in IRC:
>>
>> [08:42] <geppetto> it's a packaging problem … yum can't see file 
>> conflicts
>> [08:42] <geppetto> the fedora policy is that if you have a file 
>> conflict you have to promote it to a real conflict
>> [08:42] <geppetto> but that's not QA'd :(
>>
>> [08:43] <geppetto> don't use the .rf. repo? … use a newer perl from 
>> the .rf repo?
>>
>> [08:43] <geppetto> Maybe install an older version of perl-SysSylog 
>> from the .rf repo. … if that doesn't have file conflicts
>>
>>
>> [08:48] <geppetto> Those packages are conflicting with the ones from 
>> your distro. … but using file conflicts
>
> Sorry, I cannot read your mind here...
>
> Where are you trying to install X2Go from??? What are the steps you 
> are making.
>
> Mike

I merely followed the instructions for installing a RHEL 5 based OS 
(centOS 5) from here: http://wiki.x2go.org/doku.php/wiki:repositories:redhat



Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#563; Package x2goserver. (Thu, 07 Aug 2014 22:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 07 Aug 2014 22:05:02 GMT) (full text, mbox, link).


Message #22 received at 563@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@cora.nwra.com>
To: A <publicface@bak.rr.com>, 563@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#563: Bug#563: packages broken
Date: Thu, 07 Aug 2014 16:01:29 -0600
>> On  Mi 06 Aug 2014 18:26:24 CEST, A wrote:
>>>
>>> Transaction Check Error:
>>> /usr/share/man/man3/Sys::Syslog.3pm.gz from install of
>>> perl-Sys-Syslog-0.27-1.el5.rf.i386 conflicts with file from package
>>> perl-5.8.8-41.el5.i386


This has nothing to do with x2go, but is a conflict between your "rf" 
repository the the CentOS perl package.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#563; Package x2goserver. (Fri, 08 Aug 2014 10:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Bengt Giger <bengt.giger@id.ethz.ch>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 08 Aug 2014 10:45:02 GMT) (full text, mbox, link).


Message #27 received at 563@bugs.x2go.org (full text, mbox, reply):

From: Bengt Giger <bengt.giger@id.ethz.ch>
To: <563@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#563: Bug#563: Bug#563: packages broken
Date: Fri, 8 Aug 2014 12:36:07 +0200
[Message part 1 (text/plain, inline)]
Am 08.08.2014 00:01, schrieb Orion Poplawski:

> This has nothing to do with x2go, but is a conflict between your "rf" repository the the CentOS perl package.
 
I could reproduce the conflict. If acceptable, the package can be downloaded and installed with --replacefiles, because it affects the man page only.

But then I got:

  "make_path" is not exported by the File::Path module
  Can't continue after import errors at /usr/sbin/x2godbadmin line 25

Another outdated module. Here I found a newer one:

http://rpm.mag-sol.com/Centos/5/x86_64/perl-File-Path-2.08-1.noarch.rpm

Installed with --replacefiles (man page conflict, again) the installation completes.


Bengt

[smime.p7s (application/pkcs7-signature, attachment)]

Marked as found in versions 4.0.1.18. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 714-submit@bugs.x2go.org. (Thu, 08 Jan 2015 23:20:03 GMT) (full text, mbox, link).


Merged 563 714 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 714-submit@bugs.x2go.org. (Thu, 08 Jan 2015 23:20:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#563; Package x2goserver. (Thu, 05 Feb 2015 11:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 05 Feb 2015 11:30:02 GMT) (full text, mbox, link).


Message #36 received at 563@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Bengt Giger <bengt.giger@id.ethz.ch>, 563@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#563: Bug#563: Bug#563: Bug#563: packages broken
Date: Thu, 05 Feb 2015 11:29:06 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

On  Fr 08 Aug 2014 12:36:07 CEST, Bengt Giger wrote:

> Am 08.08.2014 00:01, schrieb Orion Poplawski:
>
>> This has nothing to do with x2go, but is a conflict between your  
>> "rf" repository the the CentOS perl package.
>  I could reproduce the conflict. If acceptable, the package can be  
> downloaded and installed with --replacefiles, because it affects the  
> man page only.

Obviously, #563 can be closed.

> But then I got:
>
>   "make_path" is not exported by the File::Path module
>   Can't continue after import errors at /usr/sbin/x2godbadmin line 25
>
> Another outdated module. Here I found a newer one:
>
> http://rpm.mag-sol.com/Centos/5/x86_64/perl-File-Path-2.08-1.noarch.rpm
>
> Installed with --replacefiles (man page conflict, again) the  
> installation completes.

This has been fixed in Git recently. See #715 [1].


Mike

[1] http://bugs.x2go.org/715

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 563-submit@bugs.x2go.org. (Thu, 05 Feb 2015 11:30:03 GMT) (full text, mbox, link).


Notification sent to A <publicface@bak.rr.com>:
Bug acknowledged by developer. (Thu, 05 Feb 2015 11:30:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 06 Mar 2015 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 13 20:29:55 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.